net.sf.jasperreports.engine.base

## Class JRBaseDatasetRun

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseDatasetRun

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCloneable, JRDatasetRun, JRIdentifiable, JRPropertiesHolder
  Direct Known Subclasses:
    JRDesignDatasetRun

      public class JRBaseDatasetRun
      extends java.lang.Object
      implements JRDatasetRun, java.io.Serializable

  Base implementation of the `JRDatasetRun` interface.
  Version:
    $Id: JRBaseDatasetRun.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `connectionExpression`
    `protected java.lang.String` | `datasetName`
    `protected JRExpression` | `dataSourceExpression`
    `protected JRDatasetParameter[]` | `parameters`
    `protected JRExpression` | `parametersMapExpression`
    `protected JRPropertiesMap` | `propertiesMap`
    `protected java.util.List<ReturnValue>` | `returnValues`
    `protected java.util.UUID` | `uuid`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseDatasetRun()` Creates an empty object.
    `protected` | `JRBaseDatasetRun(JRDatasetRun datasetRun, JRBaseObjectFactory factory)` Creates a copy of a dataset instantiation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getConnectionExpression()` Returns the DB connection expression.
    `java.lang.String` | `getDatasetName()` Returns the sub dataset name.
    `JRExpression` | `getDataSourceExpression()` Returns the data source expression.
    `JRDatasetParameter[]` | `getParameters()` Returns the list of parameter values.
    `JRExpression` | `getParametersMapExpression()` Returns the parameters map expression.
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.util.List<ReturnValue>` | `getReturnValues()` Returns the list of values to be copied from the subdataset.
    `java.util.UUID` | `getUUID()`
    `boolean` | `hasProperties()` Checks whether the object has any properties.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          protected java.util.UUID uuid

    - #### datasetName

          protected java.lang.String datasetName

    - #### parametersMapExpression

          protected JRExpression parametersMapExpression

    - #### parameters

          protected JRDatasetParameter[] parameters

    - #### connectionExpression

          protected JRExpression connectionExpression

    - #### dataSourceExpression

          protected JRExpression dataSourceExpression

    - #### propertiesMap

          protected JRPropertiesMap propertiesMap

    - #### returnValues

          protected java.util.List<ReturnValue> returnValues

  - ### Constructor Detail

    - #### JRBaseDatasetRun

          protected JRBaseDatasetRun()

      Creates an empty object.

    - #### JRBaseDatasetRun

          protected JRBaseDatasetRun(JRDatasetRun datasetRun,
                          JRBaseObjectFactory factory)

      Creates a copy of a dataset instantiation.
      Parameters:
        `datasetRun` - the dataset instantiation
        `factory` - the base object factory

  - ### Method Detail

    - #### getUUID

          public java.util.UUID getUUID()

      Specified by:
        `getUUID` in interface `JRIdentifiable`

    - #### getDatasetName

          public java.lang.String getDatasetName()

      Description copied from interface: `JRDatasetRun`
      Returns the sub dataset name.
      Specified by:
        `getDatasetName` in interface `JRDatasetRun`
      Returns:
        the sub dataset name

    - #### getParametersMapExpression

          public JRExpression getParametersMapExpression()

      Description copied from interface: `JRDatasetRun`
      Returns the parameters map expression.

      The result of this expression is used as the parameters map when instantiating the dataset.

      Specified by:
        `getParametersMapExpression` in interface `JRDatasetRun`
      Returns:
        the parameters map expression

    - #### getParameters

          public JRDatasetParameter[] getParameters()

      Description copied from interface: `JRDatasetRun`
      Returns the list of parameter values.
      Specified by:
        `getParameters` in interface `JRDatasetRun`
      Returns:
        the list of parameter values

    - #### getConnectionExpression

          public JRExpression getConnectionExpression()

      Description copied from interface: `JRDatasetRun`
      Returns the DB connection expression.

      The result of this expression is used as the DB connection when instantiating the dataset.

      Specified by:
        `getConnectionExpression` in interface `JRDatasetRun`
      Returns:
        the DB connection expression

    - #### getDataSourceExpression

          public JRExpression getDataSourceExpression()

      Description copied from interface: `JRDatasetRun`
      Returns the data source expression.

      The result of this expression is used as the data source when instantiating the dataset.

      Specified by:
        `getDataSourceExpression` in interface `JRDatasetRun`
      Returns:
        the data source expression

    - #### getReturnValues

          public java.util.List<ReturnValue> getReturnValues()

      Description copied from interface: `JRDatasetRun`
      Returns the list of values to be copied from the subdataset.
      Specified by:
        `getReturnValues` in interface `JRDatasetRun`
      Returns:
        the list of copied values.

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com